Bug 57941 - rpm fails to build samba 2.2.2-8 from src.rpm for i686
rpm fails to build samba 2.2.2-8 from src.rpm for i686
Product: Red Hat Raw Hide
Classification: Retired
Component: samba (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-01-02 16:17 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-02 16:17:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-02 16:17:41 EST
I'm not sure if this is a bug in samba or rpm but I suspect that the
problem is in the spec file.

When I attempt to build samba 2.2.2-8 from a spec file for target=i686, the
build fails due to missing files in a glob, while working on samba-common.
 The last directory in the glob is codepages.  I've only tried building
i686 and the default.  This may be a problem for other archs as well.

How reproducible:

Steps to Reproduce:
1.rpm -Uvh samba-2.2.2-8.src.rpm
2.rpm -ba --target=i686 samba.spec

Actual Results:  rpm fails to build packages due to missing files.

Expected Results:  It should have build the packages.
Comment 1 Trond Eivind Glomsrxd 2002-01-08 18:40:01 EST

"rpmbuild --target=i686 -ba samba.spec" works fine for me with samba-2.2.2-8
Comment 2 Need Real Name 2002-01-14 14:53:35 EST
Found problem.  I was under assumption that processor was PII or better.  Turned
out to be a vanilla Pentium, hence the problem building for i686.  Sorry for 
the disturbance.

Note You need to log in before you can comment on or make changes to this bug.